JNA API 3.3.0

## com.sun.jna.platform.win32
Class Guid.GUID

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Guid.GUID

Direct Known Subclasses:
  Guid.GUID.ByReference

Enclosing interface:
  Guid

    public static class Guid.GUID

extends Structure

Nested Class Summary
`static class` | `Guid.GUID.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`int` | `Data1`
`short` | `Data2`
`short` | `Data3`
`byte[]` | `Data4`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Guid.GUID()`
`Guid.GUID(byte[] data)`
`Guid.GUID(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Data1

    public int Data1

### Data2

    public short Data2

### Data3

    public short Data3

### Data4

    public byte[] Data4

Constructor Detail

### Guid.GUID

    public Guid.GUID()

### Guid.GUID

    public Guid.GUID(Pointer memory)

### Guid.GUID

    public Guid.GUID(byte[] data)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.